#include "displaysysinfo.h"
#include "getnode.h"
#include <QTimer>
#include <QDebug>
#include <QTextStream>
#include <QDateTime>

DisplaySysInfo::DisplaySysInfo() 
{
    getNode = new GetNode();
    getNode->OpenINA231();
    QTimer *timer = new QTimer(this);
    connect(timer, SIGNAL(timeout()), this, SLOT(update()));
    timer->start(100);
}

void DisplaySysInfo::update()
{
    getNode->GetINA231();
    QDateTime now = QDateTime::currentDateTime();
    QString result = QString::number(now.currentMSecsSinceEpoch()).append(",")
      .append(QString::number(getNode->armuV)).append(",")
      .append(QString::number(getNode->armuA)).append(",")
      .append(QString::number(getNode->armuW)).append(",")
      .append(QString::number(getNode->kfcuV)).append(",")
      .append(QString::number(getNode->kfcuA)).append(",")
      .append(QString::number(getNode->kfcuW)).append(",")
      .append(QString::number(getNode->g3duV)).append(",")
      .append(QString::number(getNode->g3duA)).append(",")
      .append(QString::number(getNode->g3duW)).append(",")
      .append(QString::number(getNode->memuV)).append(",")
      .append(QString::number(getNode->memuA)).append(",")
      .append(QString::number(getNode->memuW));
    qDebug() << qPrintable(result);
}
