#ifndef SIMPLE_GA
#define SIMPLE_GA

typedef struct Organism{
  int* geneotype;
  double fitness;
}Organism;

Organism*** initialize(void);
  Organism* create_organism(gsl_rng*);
    int generate_random_chromosome(gsl_rng*);
int run(void);
  double evaluate_organisms(Organism**);
    void evaluate_organism(Organism*);
  Organism** produce_next_generation(Organism**, Organism**, gsl_rng*);
  void apply_crossover(Organism**, Organism**, gsl_rng*);
    int select_one_organism(Organism**, double, gsl_rng*);
  void apply_mutations(Organism**, gsl_rng*);
void free_organism(Organism);
void print_orgamism(Organism*);


#endif // SIMPLE_GA
